sc::RadialIntegrator(3)

NAME
sc::RadialIntegrator -

An abstract base class for radial integrators.

SYNOPSIS

#include <integrator.h>

Inherits sc::SavableState.

Inherited by sc::EulerMaclaurinRadialIntegrator.

  Public Member Functions
RadialIntegrator (const Ref< KeyVal > &)
RadialIntegrator (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
virtual int nr () const =0
virtual double radial_value (int ir, int nr, double radii, double &multiplier)=0

  Protected Attributes
int nr_

  Additional Inherited Members

Detailed Description

An abstract base class for radial integrators.

Member Function Documentation

  void sc::RadialIntegrator::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Reimplemented in sc::EulerMaclaurinRadialIntegrator.

Author

Generated automatically by Doxygen for MPQC from the source code.